Subject: bug#44763: closed (Re: bug#44763: Error when 'make'ing latest version of coreutils)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Nov 2020 03:23:02 +0000

Your bug report

#44763: Error when 'make'ing latest version of coreutils

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44763: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44763
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44763: Error when 'make'ing latest version of coreutils
From: Paul Eggert <[email-masked]>
To: Chris Elvidge <[email-masked]>, Bernhard Voelker <[email-masked]>, Akim Demaille <[email-masked]>, Pádraig Brady<[email-masked]>, [email-masked]
Date: Sat, 21 Nov 2020 19:21:54 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for reporting your recipe for working around all these problems. I've 
installed patches for the problems into coreutils and gnulib and am closing the 
bug report.

On 11/21/20 3:45 PM, Chris Elvidge wrote:
> git commit -m 'build: update gnulib submodule to latest' gnulib 2>&1 | tee -a 
> $outfiles/out_commit.1.txt

I suggest doing the bootstrap after this 'git commit', not earlier.

Because of the abovementioned patches, you should no longer need to do the 
following steps:

> # Berny's addition
> git clean -xdfq && ./bootstrap 2>&1 | tee -a $outfiles/out_bootstrap.2.txt
> 
> ./configure 2>&1 | tee -a $outfiles/out_configure.1.txt
> 
> # do edit to make make work
> # Akim's change - make it expect a long not a long long
> sed -i -e '2301s/%"PRIdMAX"/%ld/' lib/parse-datetime.y
> sed -n 2301p lib/parse-datetime.y
> 
> # do three edits to make make check work
> # put 'return NULL;' back before '/*NOTREACHED*/' # explained by Berny
> sed -i -e '184s#\(/\*NOTREACHED\*/\)#return NULL; \1#' 
> gnulib/tests/test-nl_langinfo-mt.c
> sed -n 184p gnulib/tests/test-nl_langinfo-mt.c
> sed -i -e '94s#\(/\*NOTREACHED\*/\)#return NULL; \1#' 
> gnulib/tests/test-setlocale_null-mt-all.c
> sed -n 94p gnulib/tests/test-setlocale_null-mt-all.c
> sed -i -e '94s#\(/\*NOTREACHED\*/\)#return NULL; \1#' 
> gnulib/tests/test-setlocale_null-mt-one.c
> sed -n 94p gnulib/tests/test-setlocale_null-mt-one.c
> 
> # pause here to make sure edits done properly
> read -p "Press return to continue" junk

Subject: Error when 'make'ing latest version of coreutils
From: Chris Elvidge <[email-masked]>
To: [email-masked]
Date: Fri, 20 Nov 2020 14:19:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I keep getting

./lib/stdlib.h:695:5: error: token "@" is not valid in preprocessor 
expressions
  #if @GNULIB_ALIGNED_ALLOC@
      ^
./lib/stdlib.h:1059:5: error: token "@" is not valid in preprocessor 
expressions
  #if @GNULIB_POSIX_MEMALIGN@
      ^
when running make in the latest version of coreutils.

Slackware 14.2 : 32-bit : VBox VM

I did:
git clone git://git.sv.gnu.org/coreutils
./bootstrap
git submodule foreach git pull origin master
git config --global user.email "[email-masked]"
git config --global user.name "Chris Elvidge"
git commit -m 'build: update gnulib submodule to latest' gnulib
./configure
make

Relevant lines from stdlib.h

'sed -n 690,700p ./lib/stdlib.h'
# endif
#endif

/* Allocate memory with indefinite extent and specified alignment.  */
#if @GNULIB_ALIGNED_ALLOC@
# if @REPLACE_ALIGNED_ALLOC@
#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
#   undef aligned_alloc
#   define aligned_alloc rpl_aligned_alloc
#  endif

'sed -n 1055,1065p ./lib/stdlib.h'
# define mktemp _mktemp
#endif

/* Allocate memory with indefinite extent and specified alignment.  */
#if @GNULIB_POSIX_MEMALIGN@
# if @REPLACE_POSIX_MEMALIGN@
#  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
#   undef posix_memalign
#   define posix_memalign rpl_posix_memalign
#  endif
_GL_FUNCDECL_RPL (posix_memalign, int,

Can anyone help, please?

-- 

Chris Elvidge

5 Ebor Park, Appleton Roebuck, York.  YO23 7DZ.
Tel (Mob): +447443472958 mailto:[email-masked]

Calle Padre Raimundo Codesal 1, Vélez-Málaga, 29700, España